ru.bitel.common.model

## Class Page

- java.lang.Object
- - ru.bitel.common.model.Page

-     public class Page
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Page` | `INFINITE`
    `static java.lang.String` | `PAGE_COUNT`
    `static java.lang.String` | `PAGE_INDEX`
    `static java.lang.String` | `PAGE_SIZE`
    `static java.lang.String` | `RECORD_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`
    `Page(int pageIndex, int pageSize)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPageCount()`
    `static int` | `getPageCount(org.w3c.dom.Element element)` По умолчанию кол-во страниц будет '1' !
    `int` | `getPageFirstRecordNumber()`
    `int` | `getPageIndex()`
    `static int` | `getPageIndex(org.w3c.dom.Element element)` По умолчанию номер страницы будет '1' !
    `int` | `getPageSize()`
    `static int` | `getPageSize(org.w3c.dom.Element element)`
    `int` | `getRecordCount()`
    `static int` | `getRecordCount(org.w3c.dom.Element element)` Возвращает кол-во записей из переданного элемента.
    `void` | `setPageCount(int pageCount)`
    `void` | `setPageIndex(int pageIndex)`
    `void` | `setPageSize(int pageSize)`
    `void` | `setRecordCount(int recordCount)`
    `java.lang.String` | `sqlLimit()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFINITE

          public static final Page INFINITE

    - #### RECORD_COUNT

          public static final java.lang.String RECORD_COUNT

      See Also:
        Constant Field Values

    - #### PAGE_COUNT

          public static final java.lang.String PAGE_COUNT

      See Also:
        Constant Field Values

    - #### PAGE_INDEX

          public static final java.lang.String PAGE_INDEX

      See Also:
        Constant Field Values

    - #### PAGE_SIZE

          public static final java.lang.String PAGE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Page

          public Page()

    - #### Page

          public Page(int pageIndex,
                      int pageSize)

  - ### Method Detail

    - #### getPageIndex

          public int getPageIndex()

    - #### setPageIndex

          public void setPageIndex(int pageIndex)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize(int pageSize)

    - #### getPageCount

          public int getPageCount()

    - #### setPageCount

          public void setPageCount(int pageCount)

    - #### getPageFirstRecordNumber

          public int getPageFirstRecordNumber()

    - #### getRecordCount

          public int getRecordCount()

    - #### setRecordCount

          public void setRecordCount(int recordCount)

    - #### sqlLimit

          public java.lang.String sqlLimit()

    - #### getRecordCount

          public static int getRecordCount(org.w3c.dom.Element element)

      Возвращает кол-во записей из переданного элемента. Для вставки в лейбл о кол-ве записей итд.
      Parameters:
        `element` - элемент с таблицей-страницей, сформированный с помощью стандартных средств сервера - Page итд.
      Returns:
        кол-во, или -1 при любой неясности

    - #### getPageIndex

          public static int getPageIndex(org.w3c.dom.Element element)

      По умолчанию номер страницы будет '1' !
      Parameters:
        `element` -
      Returns:

    - #### getPageSize

          public static int getPageSize(org.w3c.dom.Element element)

    - #### getPageCount

          public static int getPageCount(org.w3c.dom.Element element)

      По умолчанию кол-во страниц будет '1' !
      Parameters:
        `element` -
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`